NylorunDocsBeta
Runtime APIAgentsManifests

Get one version of an agent manifest

GET
/v1/agent-manifests/{name}/versions/{version}

Authorization

applicationKey
headerAuthorizationBearer <token>

An application key of the Tenant (PUT /v1/tenant/keys/{keyId}), or Studio's key, derived from the admin key. With Nylorun-Subject and Nylorun-Scopes, it acts for that person, narrowed to those scopes. Never accepted from a browser (Origin).

Path Parameters

name*string

The agent manifest's name, such as triage

version*string

The version number

Header Parameters

Nylorun-Protocol*string

The protocol version, 18

Nylorun-Subject?string

The person an application key acts for

Nylorun-Scopes?string

The subject's space-separated scopes; required with a subject

Response Body

The version

application/json
  1. response
name*string
version*integer
Range0 < value
hash*string
manifest*
savedBy*
createdAt*string
agents*integer
Range0 <= value
source?
import { createClient } from "@nylorun/agents";const client = await createClient();const version = await client.agentManifests.get("assistant", 3);
{  "name": "string",  "version": 1,  "hash": "string",  "manifest": {    "manifestSchemaVersion": 8,    "name": "string",    "description": "string",    "metadata": {      "property1": null,      "property2": null    },    "harness": {      "kind": "workflow",      "id": "string",      "inputSchema": {        "property1": null,        "property2": null      },      "outputSchema": {        "property1": null,        "property2": null      },      "root": {        "agent": "string",        "id": "string"      },      "agents": {        "property1": {          "kind": "workflow",          "workflowSchemaVersion": 3,          "id": "string",          "name": "string",          "description": "string",          "metadata": {            "property1": null,            "property2": null          },          "inputSchema": {            "property1": null,            "property2": null          },          "outputSchema": {            "property1": null,            "property2": null          },          "sandbox": {            "image": "string",            "network": {              "preset": "none",              "allow": [                "string"              ]            },            "resources": {              "cpus": 1,              "memory": "string"            },            "idle": "string"          },          "root": {            "agent": "string",            "id": "string"          },          "agents": {            "property1": {},            "property2": {}          }        },        "property2": {          "kind": "workflow",          "workflowSchemaVersion": 3,          "id": "string",          "name": "string",          "description": "string",          "metadata": {            "property1": null,            "property2": null          },          "inputSchema": {            "property1": null,            "property2": null          },          "outputSchema": {            "property1": null,            "property2": null          },          "sandbox": {            "image": "string",            "network": {              "preset": "none",              "allow": [                "string"              ]            },            "resources": {              "cpus": 1,              "memory": "string"            },            "idle": "string"          },          "root": {            "agent": "string",            "id": "string"          },          "agents": {            "property1": {},            "property2": {}          }        }      },      "plugins": [        {          "name": "string",          "version": "string"        }      ],      "loop": {        "property1": null,        "property2": null      }    },    "runtime": {      "kind": "virtual",      "image": "string",      "resources": {        "cpus": 1,        "memory": "string"      },      "storage": "string",      "network": {        "allowedHosts": [          "string"        ]      },      "lifecycle": {        "idle": "string",        "deleteAfter": "string"      },      "setup": [        {          "command": "string",          "cwd": "string",          "timeout": "string"        }      ],      "files": [        {          "artifactId": "string",          "version": 1,          "path": "string"        }      ],      "limits": {        "artifacts": {          "fileBytes": 1,          "totalBytes": 1        },        "skills": {          "totalBytes": 1        },        "disk": {          "versionBytes": 1,          "versionEntries": 1        }      },      "secrets": {        "property1": {          "type": "environment_secret",          "allowedHosts": [            "string"          ],          "inject": {            "header": "string",            "format": "string"          },          "required": true,          "description": "string"        },        "property2": {          "type": "environment_secret",          "allowedHosts": [            "string"          ],          "inject": {            "header": "string",            "format": "string"          },          "required": true,          "description": "string"        }      },      "triggers": {        "property1": {          "schedule": "string",          "timezone": "string",          "at": "2019-08-24T14:15:22Z",          "webhook": "standard-webhooks",          "session": "string",          "prompt": "string"        },        "property2": {          "schedule": "string",          "timezone": "string",          "at": "2019-08-24T14:15:22Z",          "webhook": "standard-webhooks",          "session": "string",          "prompt": "string"        }      },      "selfWake": true    }  },  "savedBy": {    "actor": "string"  },  "createdAt": "string",  "agents": 0,  "source": {    "compiler": "string",    "files": 0,    "bytes": 0  }}